Class UmlBaseSubject

this class manages subjects

Declaration :

- C++ : class UmlBaseSubject
- Java : class UmlBaseSubject

Directly inherited by : UmlSubject

Artifact : UmlBaseSubject

Operation name

return the name

Declaration :

- Uml : + name() : string
- C++ : public: const QCString & name() const
- Java : public String name()

Attribute _name

Declaration :

- Uml : - _name : string
- C++ : private: QCString _name
- Java : private String _name

Attribute _x

Declaration :

- Uml : - _x : int
- C++ : private: int _x
- Java : private int _x

Attribute _y

Declaration :

- Uml : - _y : int
- C++ : private: int _y
- Java : private int _y

Attribute _w

Declaration :

- Uml : - _w : int
- C++ : private: int _w
- Java : private int _w

Attribute _h

Declaration :

- Uml : - _h : int
- C++ : private: int _h
- Java : private int _h

Operation read_

internal, don't call it

Declaration :

- Uml : + read_() : void
- C++ : private: void read_()
- Java : public void read_()

Operation get_container_

internal

Declaration :

- Uml : static, + get_container_(in x : int, in y : int, in w : int, in h : int, in subjects : UmlSubject) : UmlSubject
- C++ : public: static UmlSubject * get_container_(int x, int y, int w, int h, const QVector<UmlSubject> & subjects)
- Java : public static UmlSubject get_container_(int x, int y, int w, int h, UmlSubject[] subjects)

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseUseCaseDiagramDefinition;

All public operations : get_container_ , name , read_